org.codehaus.groovy.ast.expr

## Interface MethodCall

All Known Implementing Classes:
  ConstructorCallExpression, MethodCallExpression, StaticMethodCallExpression

    public interface MethodCall

Interface defining common methods for method calls.

Since:
  2.1.0
Author:
  Cedric Champeau

### Method Summary

All Methods Instance Methods Abstract Methods
`Expression` `getArguments()`
`java.lang.String` `getMethodAsString()`
`ASTNode` `getReceiver()`
`java.lang.String` `getText()`

### Method Detail

#### getReceiver

    ASTNode getReceiver()

#### getMethodAsString

    java.lang.String getMethodAsString()

#### getArguments

    Expression getArguments()

#### getText

    java.lang.String getText()